var select = require('cheerio-soupselect').select;
var coerce = require('../tools/coerce');
var debug = require('debug')('liftie:resort:loveland');

function parse(dom) {
  var liftStatus = {};

  // add parsing code here
  select(dom, '#runstatusNew img').forEach(function(node) {
    var name = node.attribs.src, match, status;

    match = name.match(/^images\/chair(\d+)(.*)\.gif$/);
    if (match) {
      name = 'Chair ' + match[1];
      status = match[2];
      liftStatus[name] = coerce(status);
    }

  });

  debug('Loveland Lift Status:', liftStatus);
  return liftStatus;
}

module.exports = {
  name: 'Loveland',
  url: {
    host: 'http://www.skiloveland.com',
    pathname: '/themountain/reports/runstats.aspx'
  },
  tags: ['Colorado'],
  parse: parse
};
